<?php

namespace Drupal\content_entity_builder;

use Drupal\Core\Entity\Sql\SqlContentEntityStorageSchema;
use Drupal\Core\Field\FieldStorageDefinitionInterface;

/**
 * Defines the content_entity_builder schema handler.
 */
class ContentEntityBuilderStorageSchema extends SqlContentEntityStorageSchema {

  /**
   * {@inheritdoc}
   */
  protected function getSharedTableFieldSchema(FieldStorageDefinitionInterface $storage_definition, $table_name, array $column_mapping) {
    $schema = parent::getSharedTableFieldSchema($storage_definition, $table_name, $column_mapping);
    $field_name = $storage_definition->getName();
	
    switch ($field_name) {
      case 'name':
        $this->addSharedTableFieldIndex($storage_definition, $schema, TRUE);
        $schema['fields']['name']['not null'] = TRUE;
        break;
    }

	/*
    $entity_type_id = $storage_definition->getTargetEntityTypeId();
	$content_type = \Drupal::entityManager()->getStorage('content_type')->load($entity_type_id);
    $base_field_config = $content_type->getBaseField($field_name);
     \Drupal::logger('content_entity_builder')->notice('entity:' . $field_name);
	if (isset($base_field_config) &&  $base_field_config->hasIndex()) {
	   \Drupal::logger('content_entity_builder')->notice('entity123:' . $field_name);
      $this->addSharedTableFieldIndex($storage_definition, $schema, TRUE);
	}
*/
    return $schema;
  }

}