<?php

/**
 * @file
 * Contains \Drupal\holiday\Controller\HolidayController.
 */

namespace Drupal\content_entity_builder\Controller;

use Drupal\Core\Controller\ControllerBase;
use Drupal\Core\DependencyInjection\ContainerInjectionInterface;
use Symfony\Component\DependencyInjection\ContainerInterface;
use Drupal\Core\Render\RendererInterface;
use Symfony\Component\HttpFoundation\Request; 

/**
 * Class QuizController.
 *
 * @package Drupal\iquiz\Controller
 */
class ContentEntityBuilderController extends ControllerBase implements ContainerInjectionInterface
{

    /**
     * The renderer service.
     *
     * @var \Drupal\Core\Render\RendererInterface
     */
    protected $renderer;

    /**
     * @param \Drupal\Core\Render\RendererInterface $renderer
     */
    public function __construct(RendererInterface $renderer) {
        $this->renderer = $renderer;
    }

    public static function create(ContainerInterface $container)
    {
        return new static(
            $container->get('renderer')
        );
    }

    public function editContentType(Request $request, $content_type){
      //$current_path = \Drupal::service('path.current')->getPath();
      //$path_args = explode('/', $current_path);		
	  //$content_type = $path_args[4];
	 // drupal_set_message('content_type:' .$content_type);
	 // $content_type = 'book';
      $content_type_entity = $this->entityTypeManager()->getStorage('content_type')->load($content_type);

      $form = $this->entityFormBuilder()->getForm($content_type_entity, 'edit');

        return $form;
    }	

   
}