<?php

namespace Drupal\content_entity_builder\Form;

use Drupal\Core\Form\FormStateInterface;
use Drupal\content_entity_builder\BaseFieldConfigManager;
use Drupal\content_entity_builder\BlocktabsInterface;
use Symfony\Component\DependencyInjection\ContainerInterface;

/**
 * Provides an add form for BaseFieldConfig.
 */
class BaseFieldConfigAddForm extends BaseFieldConfigFormBase {

  /**
   * The BaseFieldConfig manager.
   *
   * @var \Drupal\content_entity_builder\BaseFieldConfigManager
   */
  protected $baseFieldConfigManager;

  /**
   * Constructs a new BaseFieldConfigAddForm.
   *
   * @param \Drupal\content_entity_builder\BaseFieldConfigManager $tab_manager
   *   The tab manager.
   */
  public function __construct(BaseFieldConfigManager $base_field_config_manager) {
    $this->baseFieldConfigManager = $base_field_config_manager;
  }

  /**
   * {@inheritdoc}
   */
  public static function create(ContainerInterface $container) {
    return new static(
      $container->get('plugin.manager.content_entity_builder.base_field_config')
    );
  }

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state, BlocktabsInterface $blocktabs = NULL, $tab = NULL) {
    $form = parent::buildForm($form, $form_state, $blocktabs, $tab);
    //drupal_set_message('term_id:' . var_export($tab));
    //$form['#title'] = $this->t('Add %label tab', array('%label' => $this->tab->label()));
    $form['actions']['submit']['#value'] = $this->t('Add base field');

    return $form;
  }

  /**
   * {@inheritdoc}
   */
  protected function prepareTab($tab) {
    $tab = $this->tabManager->createInstance($tab);
    // Set the initial weight so this tab comes last.
    //$tab->setWeight(count($this->blocktabs->getTabs()));
    return $tab;
  }

}
